# streamWrapper::rmdir

(PHP 5, PHP 7, PHP 8)

streamWrapper::rmdir — Supprime un dossier

### Description

public streamWrapper::rmdir(string `$path`, int `$options`): bool

Cette méthode est appelée en réponse à rmdir().

> Note:

> Afin d'appeler le bon message d'erreur, cette méthode ne doit pas être définie, si le gestionnaire ne supporte pas la suppression des dossiers.

### Liste de paramètres

`path`

  L'URL du dossier à effacer.

`options`

  Un champ de bits telles que `STREAM_MKDIR_RECURSIVE`.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Erreurs / Exceptions

Émet une alerte `E_WARNING` si l'appel à cette méthode échoue (i.e. pas implémenté).

### Notes

> Note:

> La propriété streamWrapper::$context est mise à jour si un contexte valide est passé à la fonction.

### Voir aussi

- rmdir() - Efface un dossier
- streamwrapper::mkdir() - Crée un dossier
- streamwrapper::unlink() - Efface un fichier